# PHTTPSpace::Node Class Reference

`#include <http.h>`

Inheritance diagram for PHTTPSpace::Node:

List of all members.

## Public Member Functions

| Node (const PString &name, Node *parentNode)
| ~Node ()

## Public Attributes

Node * | parent
ChildList | children
PHTTPResource * | resource

## Constructor & Destructor Documentation

PHTTPSpace::Node::Node | ( | const PString & | name,
|  | Node * | parentNode |
| ) |  |  |

PHTTPSpace::Node::~Node | ( |  | ) |

## Member Data Documentation

ChildList PHTTPSpace::Node::children

Node* PHTTPSpace::Node::parent

PHTTPResource* PHTTPSpace::Node::resource

The documentation for this class was generated from the following file:

- http.h